com.genesyslab.wfm8.API.service.config852

## Class CfgAgentTeamHistory

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgAgentTeamHistory

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentTeamHistory
      extends java.lang.Object
      implements java.io.Serializable

  Stores Agent-Team history.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId`
    `private static long` | `serialVersionUID`
    `protected java.util.List<CfgTeamRange>` | `wmHistory`
    `protected int` | `wmHistoryNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentTeamHistory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `java.util.List<CfgTeamRange>` | `getWmHistory()` Gets the value of the wmHistory property.
    `int` | `getWmHistoryNSizeIs()` Gets the value of the wmHistoryNSizeIs property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmHistory(java.util.List<CfgTeamRange> wmHistory)` Sets the value of the wmHistory property.
    `void` | `setWmHistoryNSizeIs(int value)` Sets the value of the wmHistoryNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgAgentTeamHistory` | `withGswAgentId(int value)`
    `CfgAgentTeamHistory` | `withWmHistory(CfgTeamRange... values)`
    `CfgAgentTeamHistory` | `withWmHistory(java.util.Collection<CfgTeamRange> values)`
    `CfgAgentTeamHistory` | `withWmHistoryNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswAgentId

          protected int gswAgentId

    - #### wmHistoryNSizeIs

          protected int wmHistoryNSizeIs

    - #### wmHistory

          protected java.util.List<CfgTeamRange> wmHistory

  - ### Constructor Detail

    - #### CfgAgentTeamHistory

          public CfgAgentTeamHistory()

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmHistoryNSizeIs

          public int getWmHistoryNSizeIs()

      Gets the value of the wmHistoryNSizeIs property.

    - #### setWmHistoryNSizeIs

          public void setWmHistoryNSizeIs(int value)

      Sets the value of the wmHistoryNSizeIs property.

    - #### getWmHistory

          public java.util.List<CfgTeamRange> getWmHistory()

      Gets the value of the wmHistory property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmHistory property.

      For example, to add a new item, do as follows:

              getWmHistory().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgTeamRange`

    - #### withGswAgentId

          public CfgAgentTeamHistory withGswAgentId(int value)

    - #### withWmHistoryNSizeIs

          public CfgAgentTeamHistory withWmHistoryNSizeIs(int value)

    - #### withWmHistory

          public CfgAgentTeamHistory withWmHistory(CfgTeamRange... values)

    - #### withWmHistory

          public CfgAgentTeamHistory withWmHistory(java.util.Collection<CfgTeamRange> values)

    - #### setWmHistory

          public void setWmHistory(java.util.List<CfgTeamRange> wmHistory)

      Sets the value of the wmHistory property.
      Parameters:
        `wmHistory` - allowed object is `CfgTeamRange`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.